%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name http_parser.rb

Summary: Simple callback-based HTTP request/response parser
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.6.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/tmm1/http_parser.rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby-devel
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Ruby bindings to http://github.com/ry/http-parser and
http://github.com/a2800276/http-parser.java.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/LICENSE-MIT
%{gem_instdir}/README.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%{gem_instdir}/*gemspec
%{gem_instdir}/Gemfile*
%{gem_instdir}/Rakefile
%{gem_instdir}/bench
%{gem_instdir}/spec
%{gem_instdir}/tasks

%changelog
* Mon Apr 11 2016 Satoe Imaishi <simaishi@redhat.com> - 0.6.0-1
- Initial Build
